Name:           perl-Test-HexDifferences
Version:        1.001
Release:        1%{?dist}
Summary:        Test binary as hexadecimal string
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Test-HexDifferences/
Source0:        http://www.cpan.org/authors/id/S/ST/STEFFENW/Test-HexDifferences-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  sed
# Run-time
BuildRequires:  perl(Hash::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::Builder::Module) >= 0.99
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(warnings)
# Tests
BuildRequires:  perl(Cwd)
BuildRequires:  perl(English)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Test::Differences) >= 0.60
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Tester)
# Optional tests
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Test::Builder::Module) >= 0.99

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Test::Builder::Module)\\)$

%description
This is a Perl module for testing equivalence of binary data.

%prep
%setup -q -n Test-HexDifferences-%{version}
sed -i -e 's/\r//' README Changes example/*
sed -i -e '1s|#!.*perl|%(perl -MConfig -e 'print $Config{startperl}')|' example/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes example README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.001-1
- 1.001 bump

* Thu Jun 29 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.000-1
- Initial release
